summaryrefslogtreecommitdiff
path: root/desktop
diff options
context:
space:
mode:
authorJens-Heiner Rechtien <hr@openoffice.org>2010-01-05 13:01:54 +0100
committerJens-Heiner Rechtien <hr@openoffice.org>2010-01-05 13:01:54 +0100
commited383d527d0301d7ab122df5f18557263ae11adc (patch)
tree5f63978d8e12fdf9c00da5c010fff7e15497e1c1 /desktop
parentb59becd5b260818a3ffdfbb4b4670e7b9fdfbc57 (diff)
parent1dae2adc81df0ad4ea200ec7267f9b493ff86e17 (diff)
CWS-TOOLING: integrate CWS sb116
Diffstat (limited to 'desktop')
-rw-r--r--desktop/prj/d.lst2
-rw-r--r--desktop/scripts/makefile.mk11
-rw-r--r--desktop/scripts/soffice.sh13
-rw-r--r--desktop/source/pagein/makefile.mk7
4 files changed, 23 insertions, 10 deletions
diff --git a/desktop/prj/d.lst b/desktop/prj/d.lst
index fe688e2c4b44..5ec84bca7d37 100644
--- a/desktop/prj/d.lst
+++ b/desktop/prj/d.lst
@@ -93,7 +93,7 @@ mkdir: %_DEST%\bin%_EXT%\odf4ms
..\%__SRC%\bin\*.res %_DEST%\bin%_EXT%\*.res
-..\%__SRC%\misc\soffice.sh %_DEST%\bin%_EXT%\soffice
+..\%__SRC%\misc\soffice.sh-expanded %_DEST%\bin%_EXT%\soffice
..\%__SRC%\misc\sbase.sh %_DEST%\bin%_EXT%\sbase
..\%__SRC%\misc\scalc.sh %_DEST%\bin%_EXT%\scalc
..\%__SRC%\misc\sdraw.sh %_DEST%\bin%_EXT%\sdraw
diff --git a/desktop/scripts/makefile.mk b/desktop/scripts/makefile.mk
index 52750ca0b44f..001ead351928 100644
--- a/desktop/scripts/makefile.mk
+++ b/desktop/scripts/makefile.mk
@@ -54,7 +54,18 @@ UNIXTEXT= \
$(MISC)$/unopkg.sh
.IF "$(OS)" != "MACOSX"
+
+ALLTAR: $(MISC)$/soffice.sh-expanded
+
+$(MISC)/soffice.sh-expanded: $(MISC)/soffice.sh
+.IF "$(OS)" == "LINUX" && "$(CPUNAME)" == "POWERPC"
+ $(SED) 's/^#@# //' $< > $@
+.ELSE
+ $(COPY) $< $@
+.ENDIF
+
UNIXTEXT+= $(MISC)$/soffice.sh
+
.ENDIF
.INCLUDE : target.mk
diff --git a/desktop/scripts/soffice.sh b/desktop/scripts/soffice.sh
index 7895d3ed1cd9..0690e9647f35 100644
--- a/desktop/scripts/soffice.sh
+++ b/desktop/scripts/soffice.sh
@@ -43,11 +43,8 @@ export SAL_ENABLE_FILE_LOCKING
# working on your system.
# SAL_NOOPENGL=true; export SAL_NOOPENGL
-# the following test is needed on Linux PPC with IBM j2sdk142
-if [ "`uname -s`" = "Linux" -a "`uname -m`" = "ppc" ] ; then
- JITC_PROCESSOR_TYPE=6
- export JITC_PROCESSOR_TYPE
-fi
+# The following is needed on Linux PPC with IBM j2sdk142:
+#@# export JITC_PROCESSOR_TYPE=6
# resolve installation directory
sd_cwd="`pwd`"
@@ -129,11 +126,13 @@ export PATH
"$sd_prog/$sd_binary" "$@" &
trap 'kill -9 $!' TERM
wait $!
+sd_ret=$?
-while [ $? -eq 79 ]
+while [ $sd_ret -eq 79 ]
do
"$sd_prog/$sd_binary" ""$BOOTSTRAPVARS"" &
wait $!
+ sd_ret=$?
done
-exit
+exit $sd_ret
diff --git a/desktop/source/pagein/makefile.mk b/desktop/source/pagein/makefile.mk
index 85cbb4d3c9fd..626412877250 100644
--- a/desktop/source/pagein/makefile.mk
+++ b/desktop/source/pagein/makefile.mk
@@ -81,21 +81,25 @@ $(MISC)$/$(TARGET)-calc : makefile.mk
@echo Making: $@
@-echo $(DLLPRE)sc$(DFTDLLPOST) > $@
@-echo $(DLLPRE)svx$(DFTDLLPOST) >> $@
+ @-echo $(DLLPRE)svxcore$(DFTDLLPOST) >> $@
$(MISC)$/$(TARGET)-draw : makefile.mk
@echo Making: $@
@-echo $(DLLPRE)sd$(DFTDLLPOST) > $@
@-echo $(DLLPRE)svx$(DFTDLLPOST) >> $@
+ @-echo $(DLLPRE)svxcore$(DFTDLLPOST) >> $@
$(MISC)$/$(TARGET)-impress : makefile.mk
@echo Making: $@
@-echo $(DLLPRE)sd$(DFTDLLPOST) > $@
@-echo $(DLLPRE)svx$(DFTDLLPOST) >> $@
+ @-echo $(DLLPRE)svxcore$(DFTDLLPOST) >> $@
$(MISC)$/$(TARGET)-writer : makefile.mk
@echo Making: $@
@-echo $(DLLPRE)sw$(DFTDLLPOST) > $@
@-echo $(DLLPRE)svx$(DFTDLLPOST) >> $@
+ @-echo $(DLLPRE)svxcore$(DFTDLLPOST) >> $@
# sorted in approx. reverse load order (ld.so.1)
$(MISC)$/$(TARGET)-common : makefile.mk
@@ -121,7 +125,7 @@ $(MISC)$/$(TARGET)-common : makefile.mk
@-echo $(DLLPRE)ucb1$(DLLPOST) >> $@
@-echo configmgr2$(UNODLLPOST) >> $@
#
- @-echo $(DLLPRE)dtransX11$(DFTDLLPOST) >> $@
+ @-echo $(DLLPRE)dtrans$(DLLPOST) >> $@
@-echo $(DLLPRE)vclplug_gen$(DFTDLLPOST) >> $@
.IF "$(ENABLE_GTK)" != ""
@-echo $(DLLPRE)vclplug_gtk$(DFTDLLPOST) >> $@
@@ -130,7 +134,6 @@ $(MISC)$/$(TARGET)-common : makefile.mk
@-echo $(DLLPRE)vclplug_kde$(DFTDLLPOST) >> $@
.ENDIF # ENABLE_KDE
#
- @-echo $(DLLPRE)psp$(DFTDLLPOST) >> $@
@-echo $(DLLPRE)basegfx$(DFTDLLPOST) >> $@
@-echo $(DLLPRE)sot$(DFTDLLPOST) >> $@
@-echo $(DLLPRE)xcr$(DFTDLLPOST) >> $@